Subject: Re: Error in the manual

From: Andrew Chitester <[email-masked]>
Date: Tue, 23 Dec 2025 16:00:54 -0500

I'm not seeing how this is an error. The manual page for git-remote
seems to address what `set-url` does and what `add` does.

> Hello, there is an error in the manual.

Hello.

> $git remote --help
> or im my case I enter incorrect command
> $git remote list
>
> The help message:
>
> usage: git remote [-v | --verbose]
> ...
>   or: git remote set-url --add <name> <newurl>
>
> If to type command according to help message, the error appears:
>
> $ git remote --add gitverse https://repository.domain/MyName/MyRepository
> error: unknown option `add' ...

You didn't use the command offered in the help message:

$ git remote set-url --add

Use it to add a url to a remote. As far as I can tell everything is
working and documented correctly here.